## jupyter-core 4.2.1

=== docs/requirements.txt ===
traitlets>=4.0

=== debian/changelog ===
jupyter-core (4.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Gordon Ball <gordon@chronitis.net>  Sun, 04 Dec 2016 12:18:25 +0100

jupyter-core (4.2.0-3) unstable; urgency=medium

  * Team upload.
  * Fix ENV_CONFIG_PATH for Debian systems, we never use /usr/etc.

 -- Ximin Luo <infinity0@debian.org>  Sat, 03 Dec 2016 15:28:26 +0100

jupyter-core (4.2.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Wed, 02 Nov 2016 11:44:26 +0000

jupyter-core (4.2.0-1) experimental; urgency=medium

  * Switched the uploaders/maintainer fields.
  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 17 Sep 2016 10:21:05 +0200

jupyter-core (4.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 18 Aug 2016 06:49:07 +0200

jupyter-core (4.1.0-2) experimental; urgency=medium

  * Bump standards-version to 3.9.8.
  * Point d/watch to upstream's github repository.
  * Add depend on python-backports-shutil-get-terminal-size.
  * Add a manpage for jupyter-troubleshoot.

 -- Julien Puydt <julien.puydt@laposte.net>  Thu, 21 Jul 2016 10:38:21 +0200

jupyter-core (4.1.0-1) experimental; urgency=medium

  [ Julien Puydt ]
  * Initial release. (Closes: #799470)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Julien Cristau ]
  * Team upload
  * Update from 4.0.6 to 4.1.0
  * Add DPMT to Uploaders
  * Bump Standards-Version to 3.9.7.
  * Install new jupyter-troubleshoot entry point.
  * Use dh_install instead of PYBUILD_NAME.

 -- Julien Cristau <jcristau@debian.org>  Fri, 08 Apr 2016 11:41:06 +0200

=== debian/control ===
Source: jupyter-core
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Section: python
Priority: optional
Standards-Version: 3.9.8
Homepage: https://github.com/jupyter/jupyter_core
Build-Depends: debhelper (>= 9),
               dh-python,
               ipython,
               ipython3,
               python,
               python-backports-shutil-get-terminal-size,
               python-ipython-genutils,
               python-mock,
               python-pickleshare,
               python-pytest,
               python-setuptools,
               python-sphinx,
               python-traitlets,
               python3-all,
               python3-ipython-genutils,
               python3-mock,
               python3-pickleshare,
               python3-pytest,
               python3-setuptools,
               python3-traitlets
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jupyter-core.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/jupyter-core.git

Package: python-jupyter-core
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Core common functionality of Jupyter projects for Python 2
 This software component contains the base framework (application
 classes and configurations) for the rest of the Jupyter projects ; it
 doesn't do much by itself.
 .
 This package installs the library for Python 2.

Package: python3-jupyter-core
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Core common functionality of Jupyter projects for Python 3
 This software component contains the base framework (application
 classes and configurations) for the rest of the Jupyter projects ; it
 doesn't do much by itself.
 .
 This package installs the library for Python 3.

Package: jupyter-core
Architecture: all
Section: utils
Depends: python3-jupyter-core (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: Core common functionality of Jupyter projects (tools)
 This software component contains the base framework (application
 classes and configurations) for the rest of the Jupyter projects ; it
 doesn't do much by itself.
 .
 This package contains the migration tool (off IPython before 4.0)
 and a path-giving utility.

Package: python-jupyter-core-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Core common functionality of Jupyter projects (documentation)
 This software component contains the base framework (application
 classes and configurations) for the rest of the Jupyter projects ; it
 doesn't do much by itself.
 .
 This package contains documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export LC_ALL=C.UTF-8
export PYBUILD_TEST_ARGS={interpreter} -m unittest discover -s tests -t jupyter_core -v

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom dh_auto_test

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html docs debian/python-jupyter-core-doc/usr/share/doc/python-jupyter-core-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## jupyter-core 4.3.0

=== debian/changelog ===
jupyter-core (4.3.0-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream release.
  * Bump d/watch to version 4.
  * Mark the -doc package as Multi-Arch: foreign (following hinter).

  [ Gordon Ball ]
  * Add myself to uploaders.
  * Set minimum python3 version to 3.3
  * Bump Standards-Version to 4.1.0 (no changes)
  * Use debhelper compat level 10
  * Add Testsuite: autopkgtest-pkg-python (autodep8 test only)
  * Add pydist-overrides mapping jupyter_core to python-jupyter-core
    and python3 equivalent
  * Use python3 sphinx for documentation, add ${sphinxdoc:Built-Using}
    to documentation package
  * Switch build-dependencies on ipython to python-ipython (and
    python3 equivalent)

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 04 Sep 2017 09:59:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,36 @@
 Source: jupyter-core
-Uploaders: Julien Puydt <julien.puydt@laposte.net>
+Uploaders: Julien Puydt <julien.puydt@laposte.net>,
+           Gordon Ball <gordon@chronitis.net>
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/jupyter/jupyter_core
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
-               ipython,
-               ipython3,
                python,
                python-backports-shutil-get-terminal-size,
+               python-ipython,
                python-ipython-genutils,
                python-mock,
                python-pickleshare,
                python-pytest,
                python-setuptools,
-               python-sphinx,
                python-traitlets,
                python3-all,
+               python3-ipython,
                python3-ipython-genutils,
                python3-mock,
                python3-pickleshare,
                python3-pytest,
                python3-setuptools,
+               python3-sphinx,
                python3-traitlets
 X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.2
+X-Python3-Version: >= 3.3
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jupyter-core.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/jupyter-core.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-jupyter-core
 Architecture: all
@@ -66,8 +68,10 @@
 
 Package: python-jupyter-core-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Description: Core common functionality of Jupyter projects (documentation)
  This software component contains the base framework (application
  classes and configurations) for the rest of the Jupyter projects ; it

## jupyter-core 4.4.0

=== debian/changelog ===
jupyter-core (4.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one

  [ Julien Puydt ]
  * Add copyright for shutil_which.py (Closes: #889620).

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 20 Feb 2018 09:29:31 +0100

jupyter-core (4.4.0-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream release
  * Bump Standards-Version to 4.1.2 (no changes)
  * Disable use of unpackaged sphinxcontrib_github_alt package for docs
  * Recommend python{,3}-pip (used by jupyter-troubleshoot)
  * Add a "jupyter" metapackage which has dependencies on the basic set
    of jupyter packages
  * Install the upstream changelog

  [ Julien Puydt ]
  * Update copyright years
  * Use https for copyright format link

 -- Gordon Ball <gordon@chronitis.net>  Thu, 07 Dec 2017 08:22:23 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/jupyter/jupyter_core
 Build-Depends: debhelper (>= 10),
                dh-python,
@@ -28,13 +28,14 @@
                python3-traitlets
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/jupyter-core.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/jupyter-core.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/jupyter-core.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/jupyter-core
 Testsuite: autopkgtest-pkg-python
 
 Package: python-jupyter-core
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
+Recommends: python-pip
 Description: Core common functionality of Jupyter projects for Python 2
  This software component contains the base framework (application
  classes and configurations) for the rest of the Jupyter projects ; it
@@ -45,6 +46,7 @@
 Package: python3-jupyter-core
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: python3-pip
 Description: Core common functionality of Jupyter projects for Python 3
  This software component contains the base framework (application
  classes and configurations) for the rest of the Jupyter projects ; it
@@ -78,3 +80,32 @@
  doesn't do much by itself.
  .
  This package contains documentation.
+
+Package: jupyter
+Architecture: all
+Multi-Arch: foreign
+Section: metapackages
+Depends: ${misc:Depends},
+         jupyter-core,
+         jupyter-client,
+         jupyter-console,
+         jupyter-nbformat
+Recommends: jupyter-nbconvert,
+            jupyter-notebook,
+            python3-ipykernel
+Suggests: jupyter-qtconsole
+Description: Interactive computing environment (metapackage)
+ Project Jupyter provides tools for interactive computing, useful for data
+ science, scientific computing and learning. Computational languages for
+ multiple languages are available; the name Jupyter is derived from
+ Julia, Python and R.
+ .
+ This package depends on a standard set of Jupyter packages;
+  - the core and client libraries
+  - the console interface
+  - the web-based notebook
+  - tools for working with and converting notebook (ipynb) files
+  - the python3 computational kernel
+ .
+ The various jupyter components can be called using the /usr/bin/jupyter
+ entrypoint, eg "jupyter notebook".

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,6 @@
 	PYTHONPATH=. sphinx-build -b html docs debian/python-jupyter-core-doc/usr/share/doc/python-jupyter-core-doc/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif
+
+override_dh_installchangelogs:
+	dh_installchangelogs -k docs/changelog.rst

## jupyter-core 4.5.0

=== debian/changelog ===
jupyter-core (4.5.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 30 Jul 2019 18:51:32 +0200

jupyter-core (4.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Gordon Ball ]
  * New upstream release
  * Refresh patches, drop unconditional setuptools patch (no longer needed)
  * Update Standards-Version to 4.3.0

  [ Julien Puydt ]
  * Bump dh compat to 11.
  * Bump std-ver to 4.4.0.
  * Use my debian.org mail address.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 09 Jul 2019 18:47:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: jupyter-core
-Uploaders: Julien Puydt <julien.puydt@laposte.net>,
+Uploaders: Julien Puydt <jpuydt@debian.org>,
            Gordon Ball <gordon@chronitis.net>
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.1.3
+Standards-Version: 4.4.0
 Homepage: https://github.com/jupyter/jupyter_core
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 11),
                dh-python,
                python,
                python-backports-shutil-get-terminal-size,
@@ -26,8 +26,6 @@
                python3-setuptools,
                python3-sphinx,
                python3-traitlets
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
 Vcs-Git: https://salsa.debian.org/python-team/modules/jupyter-core.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/jupyter-core
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html docs debian/python-jupyter-core-doc/usr/share/doc/python-jupyter-core-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-jupyter-core-doc/usr/share/doc/python-jupyter-core-doc/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif

## jupyter-core 4.6.1

=== debian/changelog ===
jupyter-core (4.6.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Stephan Lachnit ]
  * Demote python{,3}-pip from Recommends to Suggests (MR!1)

  [ Gordon Ball ]
  * New upstream release
  * d/control: Set Rules-Requires-Root: no
  * d/control: Update debhelper compat level to 12

 -- Gordon Ball <gordon@chronitis.net>  Tue, 12 Nov 2019 15:32:53 +0000

jupyter-core (4.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Gordon Ball <gordon@chronitis.net>  Wed, 09 Oct 2019 18:37:55 +0000

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/jupyter/jupyter_core
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python,
                python-backports-shutil-get-terminal-size,
                python-ipython,
                python-ipython-genutils,
                python-mock,
+               python-nose,
                python-pickleshare,
                python-pytest,
                python-setuptools,
@@ -21,6 +22,7 @@
                python3-ipython,
                python3-ipython-genutils,
                python3-mock,
+               python3-nose,
                python3-pickleshare,
                python3-pytest,
                python3-setuptools,
@@ -29,11 +31,12 @@
 Vcs-Git: https://salsa.debian.org/python-team/modules/jupyter-core.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/jupyter-core
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-jupyter-core
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
-Recommends: python-pip
+Suggests: python-pip
 Description: Core common functionality of Jupyter projects for Python 2
  This software component contains the base framework (application
  classes and configurations) for the rest of the Jupyter projects ; it
@@ -44,7 +47,7 @@
 Package: python3-jupyter-core
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: python3-pip
+Suggests: python3-pip
 Description: Core common functionality of Jupyter projects for Python 3
  This software component contains the base framework (application
  classes and configurations) for the rest of the Jupyter projects ; it

## jupyter-core 4.6.2

=== debian/changelog ===
jupyter-core (4.6.2-1ubuntu1) focal; urgency=medium

  * Build-depend on python-all.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Feb 2020 11:13:31 +0100

jupyter-core (4.6.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Gordon Ball ]
  * New upstream release

 -- Gordon Ball <gordon@chronitis.net>  Sat, 15 Feb 2020 13:13:25 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Homepage: https://github.com/jupyter/jupyter_core
 Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python,
+               python-all,
                python-backports-shutil-get-terminal-size,
                python-ipython,
                python-ipython-genutils,

## jupyter-core 4.6.3

=== debian/changelog ===
jupyter-core (4.6.3-3) unstable; urgency=medium

  * d/control: add undeclared runtime dependencies:
    python3-ipython-genutils, python3-distutils

 -- Gordon Ball <gordon@chronitis.net>  Fri, 06 Mar 2020 18:51:56 +0000

jupyter-core (4.6.3-2) unstable; urgency=medium

  [ Gordon Ball ]
  * Drop python 2.7 support (Closes: #936774)

 -- Sandro Tosi <morph@debian.org>  Wed, 04 Mar 2020 19:27:58 -0500

jupyter-core (4.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.5.0.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 28 Feb 2020 15:45:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,10 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/jupyter/jupyter_core
 Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all,
-               python-backports-shutil-get-terminal-size,
-               python-ipython,
-               python-ipython-genutils,
-               python-mock,
-               python-nose,
-               python-pickleshare,
-               python-pytest,
-               python-setuptools,
-               python-traitlets,
                python3-all,
                python3-ipython,
                python3-ipython-genutils,
@@ -33,20 +23,12 @@
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
-Package: python-jupyter-core
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Suggests: python-pip
-Description: Core common functionality of Jupyter projects for Python 2
- This software component contains the base framework (application
- classes and configurations) for the rest of the Jupyter projects ; it
- doesn't do much by itself.
- .
- This package installs the library for Python 2.
-
 Package: python3-jupyter-core
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         python3-ipython-genutils,
+         python3-distutils
 Suggests: python3-pip
 Description: Core common functionality of Jupyter projects for Python 3
  This software component contains the base framework (application

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_TEST_ARGS={interpreter} -m unittest discover -s tests -t jupyter_core -v
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom dh_auto_test

## jupyter-core 4.7.1

=== docs/requirements.txt ===
traitlets>=4.0
sphinxcontrib_github_alt

=== debian/changelog ===
jupyter-core (4.7.1-1+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2022-39286: Arbitrarycode execution while loading configuration
    files. (Closes: #1023361)

 -- Aron Xu <aron@debian.org>  Fri, 09 Jun 2023 10:08:24 +0800

jupyter-core (4.7.1-1) unstable; urgency=medium

  * New upstream version 4.7.1
  * d/watch: fix rc sorting after release
  * d/control: debhelper compat 13

 -- Gordon Ball <gordon@chronitis.net>  Mon, 01 Feb 2021 18:39:54 +0000

jupyter-core (4.7.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Gordon Ball ]
  * New upstream version 4.7.0
  * Refresh patches
     + Drop patch to ENV_CONFIG_PATH, handled by logic elsewhere
     + Patch out test test_jupyter_path_prefer_env, which doesn't work with
       system python paths
  * Drop copyright information for a now-dropped embedded file

 -- Gordon Ball <gordon@chronitis.net>  Fri, 20 Nov 2020 16:36:42 +0000

jupyter-core (4.6.3-4) unstable; urgency=medium

  * Run testsuite in autopkgtest
  * Drop obsolete or transitive dependencies: python3-{pickleshare,mock}
  * Mark test dependencies with <!nocheck>
  * Remove custom test invocation in d/rules

 -- Gordon Ball <gordon@chronitis.net>  Tue, 01 Sep 2020 11:36:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,23 @@
 Source: jupyter-core
 Uploaders: Julien Puydt <jpuydt@debian.org>,
            Gordon Ball <gordon@chronitis.net>
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Section: python
 Priority: optional
 Standards-Version: 4.5.0
 Homepage: https://github.com/jupyter/jupyter_core
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-ipython,
+               python3-ipython <!nocheck>,
                python3-ipython-genutils,
-               python3-mock,
-               python3-nose,
-               python3-pickleshare,
-               python3-pytest,
+               python3-nose <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-setuptools,
                python3-sphinx,
                python3-traitlets
-Vcs-Git: https://salsa.debian.org/python-team/modules/jupyter-core.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/jupyter-core
+Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-core.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-core
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,10 @@
 
 #export DH_VERBOSE=1
 export LC_ALL=C.UTF-8
-export PYBUILD_TEST_ARGS={interpreter} -m unittest discover -s tests -t jupyter_core -v
+export PYBUILD_TEST_ARGS=-k 'not test_command'
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
-
-override_dh_auto_test:
-	PYBUILD_SYSTEM=custom dh_auto_test
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Test-Command: env HOME=$AUTOPKGTEST_TMP pytest-3 jupyter_core
Depends: @, python3-pytest, python3-nose

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)(rc|a|b)/$1~$2/ \
https://github.com/jupyter/jupyter_core/tags .*/archive/(.*)\.tar\.gz

## jupyter-core 4.9.1

=== debian/changelog ===
jupyter-core (4.9.1-1) unstable; urgency=medium

  * Drop test dependency on python3-nose
  * Update the autopkgtest
    + Don't install test files in the binary package
    + Test against all supported python versions
    + Ensure the installed library is used for tests
  * New upstream version 4.9.1
  * Skip tests that assume a non-system python prefix

 -- Gordon Ball <gordon@chronitis.net>  Tue, 02 Nov 2021 18:56:21 +0000

jupyter-core (4.8.0-1) unstable; urgency=medium

  * New upstream version 4.8.0

 -- Gordon Ball <gordon@chronitis.net>  Sun, 19 Sep 2021 19:05:17 +0000

jupyter-core (4.7.1-2) unstable; urgency=medium

  * Fix d/watch.
  * Bump std-vers to 4.6.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Aug 2021 15:51:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/jupyter/jupyter_core
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-ipython <!nocheck>,
                python3-ipython-genutils,
-               python3-nose <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-sphinx,

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k docs/changelog.rst
+
+execute_after_dh_auto_install:
+	rm -r debian/tmp/usr/lib/python3*/dist-packages/jupyter_core/tests

=== debian/tests/control ===
Tests: jupyter-core
Depends: @, python3-pytest, python3-all

## jupyter-core 4.11.1

=== debian/changelog ===
jupyter-core (4.11.1-1ubuntu0.22.10.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: Arbitrary code execution issue
    - debian/patches/CVE-2022-39286.patch: Current working directory not added
      as jupyter config path.
    - CVE-2022-39286 

 -- Evan Caville <evan.caville@canonical.com>  Mon, 05 Jun 2023 17:19:08 +1000

jupyter-core (4.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.1.
  * Update b-deps.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 11 Jul 2022 07:50:12 +0200

jupyter-core (4.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 05 May 2022 23:15:30 +0200

jupyter-core (4.9.2-1) unstable; urgency=medium

  * New upstream version 4.9.2
  * Drop build-dependency on python3-ipython-genutils

 -- Gordon Ball <gordon@chronitis.net>  Mon, 14 Mar 2022 19:57:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: jupyter-core
-Uploaders: Julien Puydt <jpuydt@debian.org>,
-           Gordon Ball <gordon@chronitis.net>
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/jupyter/jupyter_core
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
+               python3-hatchling <!nocheck>,
                python3-ipython <!nocheck>,
-               python3-ipython-genutils,
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-sphinx,
@@ -22,10 +23,7 @@
 
 Package: python3-jupyter-core
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         python3-ipython-genutils,
-         python3-distutils
+Depends: python3-distutils, ${misc:Depends}, ${python3:Depends}
 Suggests: python3-pip
 Description: Core common functionality of Jupyter projects for Python 3
  This software component contains the base framework (application
@@ -65,14 +63,12 @@
 Architecture: all
 Multi-Arch: foreign
 Section: metapackages
-Depends: ${misc:Depends},
+Depends: jupyter-client,
+         jupyter-console,
          jupyter-core,
-         jupyter-client,
-         jupyter-console,
-         jupyter-nbformat
-Recommends: jupyter-nbconvert,
-            jupyter-notebook,
-            python3-ipykernel
+         jupyter-nbformat,
+         ${misc:Depends}
+Recommends: jupyter-nbconvert, jupyter-notebook, python3-ipykernel
 Suggests: jupyter-qtconsole
 Description: Interactive computing environment (metapackage)
  Project Jupyter provides tools for interactive computing, useful for data

## jupyter-core 4.12.0

=== docs/requirements.txt ===
sphinxcontrib_github_alt
traitlets>=4.0

=== debian/changelog ===
jupyter-core (4.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 09 Dec 2022 21:57:26 +0100

jupyter-core (4.11.2-1) unstable; urgency=medium

  * New upstream version 4.11.2
  * Fixes CVE-2022-39286 (Closes: #1023361)

 -- Gordon Ball <gordon@chronitis.net>  Fri, 11 Nov 2022 21:06:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: jupyter-core
 Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Section: python
 Priority: optional
 Standards-Version: 4.6.1

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,4 @@
 #!/usr/bin/make -f
-
-#export DH_VERBOSE=1
-export LC_ALL=C.UTF-8
-export PYBUILD_TEST_ARGS=-k 'not test_command'
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -18,3 +14,8 @@
 
 execute_after_dh_auto_install:
 	rm -r debian/tmp/usr/lib/python3*/dist-packages/jupyter_core/tests
+
+override_dh_auto_test:
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	HOME=/tmp/homedir PYTHONPATH=. python3 -m pytest
+endif

## jupyter-core 5.3.1

=== debian/changelog ===
jupyter-core (5.3.1-1) unstable; urgency=medium

  * New upstream version 5.3.1
  * Drop override for dh_installchangelogs, location changed
  * Build-depends:
    + Drop python3-setuptools
    + Add python3-platformdirs (testsuite)
    + Add python3-{myst-parser,sphinx-autodoc-typehints} (docs)
    + Fix nodoc and nocheck annotations

 -- Gordon Ball <gordon@chronitis.net>  Wed, 26 Jul 2023 11:56:42 +0000

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,6 @@
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif
 
-override_dh_installchangelogs:
-	dh_installchangelogs -k docs/changelog.rst
-
 execute_after_dh_auto_install:
 	rm -r debian/tmp/usr/lib/python3*/dist-packages/jupyter_core/tests

## jupyter-core 5.3.2

=== debian/changelog ===
jupyter-core (5.3.2-1ubuntu1) noble; urgency=medium

  * Drop dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Mar 2024 11:58:18 +0100

jupyter-core (5.3.2-1) unstable; urgency=medium

  * New upstream version 5.3.2

 -- Gordon Ball <gordon@chronitis.net>  Fri, 06 Oct 2023 09:01:25 +0000

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,14 @@
                dh-python,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-hatchling <!nocheck>,
+               python3-hatchling,
                python3-ipython <!nocheck>,
+               python3-myst-parser <!nodoc>,
+               python3-platformdirs <!nocheck>,
                python3-pytest <!nocheck>,
-               python3-setuptools,
-               python3-sphinx,
-               python3-traitlets
+               python3-sphinx <!nodoc>,
+               python3-sphinx-autodoc-typehints <!nodoc>,
+               python3-traitlets <!nocheck>,
 Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-core.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-core
 Testsuite: autopkgtest-pkg-python
@@ -22,7 +24,7 @@
 
 Package: python3-jupyter-core
 Architecture: all
-Depends: python3-distutils, ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Suggests: python3-pip
 Description: Core common functionality of Jupyter projects for Python 3
  This software component contains the base framework (application

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,6 @@
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif
 
-execute_after_dh_auto_install:
-	rm -r debian/tmp/usr/lib/python3*/dist-packages/jupyter_core/tests
-
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	HOME=/tmp/homedir PYTHONPATH=. python3 -m pytest

=== debian/tests/control ===
Tests: jupyter-core
Depends: python3-all, python3-pytest, @

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)(rc|a|b)/$1~$2/ \
https://github.com/jupyter/jupyter_core/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## jupyter-core 5.7.2

=== debian/changelog ===
jupyter-core (5.7.2-5) unstable; urgency=medium

  * Team upload
  * Suggest -doc package in python packages, and vice versa
  * Handle newer sphinx version intersphinx syntax (closes: #1090101)
  * Improve subcommand description in jupyter(1) (closes: #1085157)
  * Install bash and zsh completions

 -- Julian Gilbey <jdg@debian.org>  Tue, 17 Dec 2024 08:04:18 +0000

jupyter-core (5.7.2-4) unstable; urgency=medium

  * Team upload
  * Improve watchfile so downloaded source has sensible filename

 -- Julian Gilbey <jdg@debian.org>  Sun, 04 Aug 2024 12:47:24 +0100

jupyter-core (5.7.2-3) unstable; urgency=medium

  * Team upload
  * Use sphinxcontrib-github-alt for documentation
  * Run all tests

 -- Julian Gilbey <jdg@debian.org>  Fri, 26 Jul 2024 08:56:52 +0100

jupyter-core (5.7.2-2) unstable; urgency=medium

  * Team upload
  * Fix path to clean generated files

 -- Julian Gilbey <jdg@debian.org>  Sun, 21 Jul 2024 20:32:52 +0100

jupyter-core (5.7.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Move html documentation to /usr/share/doc/python3-jupyter-core
  * Don't compress font files in -doc package

 -- Julian Gilbey <jdg@debian.org>  Sun, 21 Jul 2024 20:17:10 +0100

jupyter-core (5.3.2-3) unstable; urgency=medium

  * Team upload
  * Clean up after build (Closes: #1047824)

 -- Diane Trout <diane@ghic.org>  Fri, 05 Jul 2024 12:05:38 -0700

jupyter-core (5.3.2-2) unstable; urgency=medium

  * Team upload.
  * Remove stale dependency on python3-distutils (Closes: #1065883)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 31 May 2024 15:29:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,42 @@
 Source: jupyter-core
-Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
+Uploaders: Julien Puydt <jpuydt@debian.org>,
+           Gordon Ball <gordon@chronitis.net>
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/jupyter/jupyter_core
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-exec,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-doc <!nodoc>,
+               python3-enchant <!nodoc>,
                python3-hatchling,
                python3-ipython <!nocheck>,
                python3-myst-parser <!nodoc>,
+               python3-pip <!nocheck>,
                python3-platformdirs <!nocheck>,
+               python3-pydata-sphinx-theme <!nodoc>,
                python3-pytest <!nocheck>,
                python3-sphinx <!nodoc>,
                python3-sphinx-autodoc-typehints <!nodoc>,
-               python3-traitlets <!nocheck>,
+               python3-sphinxcontrib-github-alt <!nodoc>,
+               python3-sphinxcontrib.spelling <!nodoc>,
+               python3-traitlets <!nocheck>
 Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-core.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-core
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-jupyter-core
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
-Suggests: python3-pip
+Depends: ${misc:Depends},
+         ${python3:Depends}
+Suggests: python-jupyter-core-doc,
+          python3-pip
 Description: Core common functionality of Jupyter projects for Python 3
  This software component contains the base framework (application
  classes and configurations) for the rest of the Jupyter projects ; it
@@ -39,6 +50,7 @@
 Depends: python3-jupyter-core (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends}
+Suggests: python-jupyter-core-doc
 Description: Core common functionality of Jupyter projects (tools)
  This software component contains the base framework (application
  classes and configurations) for the rest of the Jupyter projects ; it
@@ -51,7 +63,11 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: python3-doc,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
+Suggests: jupyter-core,
+          python3-jupyter-core
 Built-Using: ${sphinxdoc:Built-Using}
 Description: Core common functionality of Jupyter projects (documentation)
  This software component contains the base framework (application
@@ -59,6 +75,7 @@
  doesn't do much by itself.
  .
  This package contains documentation.
+Build-Profiles: <!nodoc>
 
 Package: jupyter
 Architecture: all
@@ -69,8 +86,11 @@
          jupyter-core,
          jupyter-nbformat,
          ${misc:Depends}
-Recommends: jupyter-nbconvert, jupyter-notebook, python3-ipykernel
-Suggests: jupyter-qtconsole
+Recommends: jupyter-nbconvert,
+            jupyter-notebook,
+            python3-ipykernel
+Suggests: jupyter-qtconsole,
+          python-jupyter-core-doc
 Description: Interactive computing environment (metapackage)
  Project Jupyter provides tools for interactive computing, useful for data
  science, scientific computing and learning. Computational languages for

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = jupyter-core

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=$$(pwd) make -C docs html

override_dh_installdocs:
	dh_installdocs -ppython-jupyter-core-doc --doc-main-package=python3-jupyter-core
	dh_installdocs --remaining-packages

execute_after_dh_install:
	mv debian/python3-jupyter-core/usr/bin debian/jupyter-core/usr

override_dh_compress:
	dh_compress -ppython-jupyter-core-doc -X.ttf -X.eot
	dh_compress --remaining-packages

override_dh_auto_test:
	# These tests require jupyter-core to be installed, so should
	# be excluded at build-time
	PYBUILD_TEST_ARGS="\
		--deselect=tests/test_command.py::test_not_on_path \
		--deselect=tests/test_command.py::test_path_priority \
		--deselect=tests/test_command.py::test_argv0" \
		dh_auto_test

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/jupyter/jupyter_core/tags?per_page=100 \
    https://api.github.com/repos/jupyter/jupyter_core/tarball/refs/tags/@ANY_VERSION@

## jupyter-core 5.9.1

=== debian/changelog ===
jupyter-core (5.9.1-1) unstable; urgency=medium

  * New upstream version 5.9.1
  * d/patches: rebase
  * d/control: standards-version 4.7.3, drop rules-requires-root, drop priority

 -- Gordon Ball <gordon@chronitis.net>  Thu, 01 Jan 2026 19:49:57 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
            Gordon Ball <gordon@chronitis.net>
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Section: python
-Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/jupyter/jupyter_core
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
@@ -29,7 +28,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-core.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-core
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 
 Package: python3-jupyter-core
 Architecture: all
